<?php if (!defined('PmWiki')) exit();

/* 
 * This recipe finds all the images on the page and apply visual effects to the hovered
 * and/or clicked images. On clicking an image, a copy of it pops up at the center of the
 * browser with fade-in effect, with dimmed and blurred background to give the image a
 * focused feel. The popup image is removed with another click or by pressing Esc, also
 * with fading effect. The image size can be adjusted freely simply by scrolling. By
 * pressing 'M', the image is zoomed to fit the browser visible area. When either the
 * width or the height exceed the browser border, the popup image can be dragged.
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software
 * Foundation; either version 3 of the License, or (at your
 * option) any later version. Available at
 * https://www.gnu.org/licenses/gpl.txt
 *
 * Copyright 2016 Ling-San Meng (f95942117@gmail.com)
 * Version 2018-01-11
 */

$RecipeInfo['ImgFocus']['Version'] = '2018-01-11';

// The popup image fadein time in milliseconds.
SDV($ImgFocusFadeInTime, 125);

// The popup image fadeout time in milliseconds.
SDV($ImgFocusFadeOutTime, 200);

// The popup image zoom to fit browser time in milliseconds.
SDV($ImgFocusZoomToFitTime, 100);

SDVA($ImgFocusExceptionList, array(''));
$ImgFocusExceptionList = json_encode($ImgFocusExceptionList);

SDVA($ImgFocusExceptionSelectors, array(''));
$ImgFocusExceptionSelectors = json_encode($ImgFocusExceptionSelectors);

SDV($ImgFocusBrowserShrinkRatio, 0.8);

if($action == "browse" || $action == "upload" || $_REQUEST['preview']) {
	$HTMLHeaderFmt['imgfocus'] = "
	<script type='text/javascript' src='$FarmPubDirUrl/imgfocus/imgfocus.js'></script>
	<script type='text/javascript'>
		ImgFocusFadeInTime = $ImgFocusFadeInTime; 
		ImgFocusFadeOutTime = $ImgFocusFadeOutTime;
		ImgFocusZoomToFitTime = $ImgFocusZoomToFitTime;
		ImgFocusExceptionList = '$ImgFocusExceptionList';
		ImgFocusExceptionSelectors = '$ImgFocusExceptionSelectors';
		ImgFocusBrowserShrinkRatio = $ImgFocusBrowserShrinkRatio;
	</script>
	<link rel='stylesheet' href='$FarmPubDirUrl/imgfocus/imgfocus.css' type='text/css'>";
}

global $WikiStyle;
$WikiStyle['img']['apply'] = 'img';